From 048df8b825286fdd5d9e5289c7e2942a038f8e1d Mon Sep 17 00:00:00 2001
From: Mike Lothian <mike@fireburn.co.uk>
Date: Wed, 17 Jan 2024 00:20:13 +0000
Subject: [PATCH 1/4] Top level CMakeLists.txt needs ConfigGui

Signed-off-by: Mike Lothian <mike@fireburn.co.uk>
---
 CMakeLists.txt | 1 +
 1 file changed, 1 insertion(+)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index c188a8c3..c2902144 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -39,6 +39,7 @@ find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     I18n
     KIO
     TextWidgets
+    Config
     CoreAddons
     Solid
 )
-- 
GitLab


From 2c1ddcf7b888e4c12650ffc533187315ead564b7 Mon Sep 17 00:00:00 2001
From: Mike Lothian <mike@fireburn.co.uk>
Date: Thu, 4 Jan 2024 12:51:00 +0000
Subject: [PATCH 2/4] Git plugin needs ConfigGui not XmlGui

Signed-off-by: Mike Lothian <mike@fireburn.co.uk>
---
 git/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/git/CMakeLists.txt b/git/CMakeLists.txt
index 55713f53..550c4a43 100644
--- a/git/CMakeLists.txt
+++ b/git/CMakeLists.txt
@@ -28,8 +28,8 @@ target_link_libraries(fileviewgitplugin PRIVATE
     Qt6::Core
     Qt6::Core5Compat
     Qt6::Widgets
+    KF6::ConfigGui
     KF6::I18n
-    KF6::XmlGui
     KF6::KIOCore
     KF6::KIOFileWidgets
     KF6::TextWidgets
-- 
GitLab


From fe7367a6aca3d45a3c1468de326ddcca87ef530d Mon Sep 17 00:00:00 2001
From: Mike Lothian <mike@fireburn.co.uk>
Date: Wed, 17 Jan 2024 00:21:13 +0000
Subject: [PATCH 3/4] Subversion plugin needs ConfigGui not XmlGui

Signed-off-by: Mike Lothian <mike@fireburn.co.uk>
---
 svn/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/svn/CMakeLists.txt b/svn/CMakeLists.txt
index 470de1ad..13b40868 100644
--- a/svn/CMakeLists.txt
+++ b/svn/CMakeLists.txt
@@ -34,8 +34,8 @@ kconfig_add_kcfg_files(fileviewsvnplugin
 target_link_libraries(fileviewsvnplugin
     Qt6::Core
     Qt6::Widgets
+    KF6::ConfigGui
     KF6::I18n
-    KF6::XmlGui
     KF6::KIOCore
     KF6::KIOWidgets
     DolphinVcs
-- 
GitLab


From 6345cdc2f3ed90624d09e6485218ab68bd468c0b Mon Sep 17 00:00:00 2001
From: Mike Lothian <mike@fireburn.co.uk>
Date: Wed, 17 Jan 2024 00:38:45 +0000
Subject: [PATCH 4/4] kde-ci.yml needs frameworks/kconfig

Signed-off-by: Mike Lothian <mike@fireburn.co.uk>
---
 .kde-ci.yml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/.kde-ci.yml b/.kde-ci.yml
index d35a5569..6b5b1367 100644
--- a/.kde-ci.yml
+++ b/.kde-ci.yml
@@ -5,6 +5,7 @@ Dependencies:
 - 'on': ['Linux/Qt6', 'FreeBSD/Qt6', 'Windows/Qt6', 'macOS/Qt6']
   'require':
     'frameworks/extra-cmake-modules': '@latest-kf6'
+    'frameworks/kconfig': '@latest-kf6'
     'frameworks/kcoreaddons': '@latest-kf6'
     'frameworks/ki18n': '@latest-kf6'
     'frameworks/kxmlgui': '@latest-kf6'
-- 
GitLab

